Skip to main content
`Ctrl`+`K`

# numpy.ma.MaskedArray.__array__

method

ma.MaskedArray.__array__([dtype, ]*, copy=None)

  For `dtype` parameter it returns a new reference to self if `dtype` is not given or it matches array’s data type. A new array of provided data type is returned if `dtype` is different from the current data type of the array. For `copy` parameter it returns a new reference to self if `copy=False` or `copy=None` and copying isn’t enforced by `dtype` parameter. The method returns a new array for `copy=True`, regardless of `dtype` parameter.

  A more detailed explanation of the `__array__` interface can be found in The __array__() method.